Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class OutputLogFilter

    java.lang.Object
      org.apache.hadoop.mapred.OutputLogFilter

All Implemented Interfaces:
  PathFilter

Deprecated. Use `Utils.OutputFileUtils.OutputLogFilter` instead.

    public class OutputLogFilter

extends Object
implements PathFilter

This class filters log files from directory given It doesnt accept paths having _logs. This can be used to list paths of output directory as follows: Path[] fileList = FileUtil.stat2Paths(fs.listStatus(outDir, new OutputLogFilter()));

Constructor Summary
`OutputLogFilter()` Deprecated.

Method Summary
`boolean` | `accept(Path path)` Deprecated. Tests whether or not the specified abstract pathname should be included in a pathname list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputLogFilter

    public OutputLogFilter()

  Deprecated.

Method Detail

### accept

    public boolean accept(Path path)

  Deprecated.
  Description copied from interface: `PathFilter`
  Tests whether or not the specified abstract pathname should be included in a pathname list.

  Specified by:
    `accept` in interface `PathFilter`
  Parameters:
    `path` - The abstract pathname to be tested
  Returns:
    `true` if and only if `pathname` should be included

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation